Bug 810014 - Atheros wireless driver carl9170 firmware version unrecognised
Atheros wireless driver carl9170 firmware version unrecognised
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 18:15 EDT by John Horne
Modified: 2012-04-05 11:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 11:55:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Horne 2012-04-04 18:15:54 EDT
Description of problem:
802.11n USB wireless adapter TP-Link TL-WN821N uses the carl9170 driver. However, the firmware fails to load so no interface is created; no network.

Version-Release number of selected component (if applicable):
Kernel: 2.6.42.12-1.fc15.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install something using the carl9170 driver.
2. reboot.
3.
  
Actual results:
Dmesg shows:

[   33.286729] usbcore: registered new interface driver carl9170
[   33.511760] usb 1-2: driver   API: 1.9.4 2011-08-15 [1-1]
[   33.511874] usb 1-2: firmware API: 1.9.2 2010-12-25
[   33.511980] usb 1-2: failed to find compatible firmware descriptor.
[   33.512104] usb 1-2: failed to parse firmware (-61).


Expected results:
Driver and firmware versions should be recognised and the wireless interface created.

Additional info:
I gather from 'openwrt' that the problem is to do with the version number of the driver/firmware when the kernel is built. As seen above: driver=1.9.4, but firmware=1.9.2.

I know that F15 is soon to be retired (end-of-life), but I bought this USB adapter from thinkpenguin because it was supposed to 'just work'. I got fed up with installing drivers etc for other makes so went with a completely open-source solution. Still got problems though :-(

Tested this with F17-alpha and that worked fine (using the carl9170 firmware for the 3.1+ kernel).

lsusb shows:

Bus 001 Device 003: ID 0cf3:1002 Atheros Communications, Inc. TP-Link TL-WN821N v2 802.11n [Atheros AR9170]
Comment 1 Josh Boyer 2012-04-05 09:35:35 EDT
Can you list the output of:

rpm -q --whatprovides /lib/firmware/carl9170-1.fw

As far as I know, Fedora doesn't actually ship that file but the above command could always prove me wrong.  If you downloaded it yourself, then you need to use the firmware for the 3.1 and newer kernel.  The Fedora 2.6.4x kernels are really 3.x kernels renamed.
Comment 2 John Horne 2012-04-05 10:48:21 EDT
'rpm -q --whatprovides /lib/firmware/carl9170-1.fw' shows:

   file /lib/firmware/carl9170-1.fw is not owned by any package

> If you downloaded it yourself, then you need to use the firmware for the 3.1 
> and newer kernel.
>
Yes I did download it myself (from http://linuxwireless.org/en/users/Drivers/carl9170#Firmware-1 ). I was going by the kernel versions listed there, so used the 2.6.x kernel version.

> The Fedora 2.6.4x kernels are really 3.x kernels renamed.
>
Ah! I did not know that. I'll try the '3.1 and newer' kernel version.
Comment 3 John Horne 2012-04-05 11:48:47 EDT
Hurrah! The 3.1 kernel version firmware seems to work fine. The firmware has loaded, and I have a network interface created.

Many thanks for your help.
Comment 4 Josh Boyer 2012-04-05 11:55:01 EDT
Great, glad it's working for you.

Note You need to log in before you can comment on or make changes to this bug.